<?php
  $form_id = get_the_ID();
  $form = new Give_Donate_Form( $form_id );
  $progress_stats = give_goal_progress_stats($form);
  $income = 0;
  $goal = '';

  $goal_option = give_get_meta( $form_id, '_give_goal_option', true );
  if($goal_option == 'disabled' || !$goal_option){
    $goal = 'unlimited';
    $progress = 100;
    $income = isset($progress_stats['actual']) ? $progress_stats['actual'] : 0;
  }

  if($goal == 'unlimited'){
    $progress_label = esc_html__( 'unlimited' , 'oxpitan' );
    $progress = 100;
  }else{
    $progress = isset($progress_stats['progress']) ? $progress_stats['progress'] : 100;
    $progress_label = $progress . '%';
    $income = isset($progress_stats['actual']) ? $progress_stats['actual'] : 0;
    $goal = isset($progress_stats['goal']) ? $progress_stats['goal'] : 0;
    if($progress > 100) $progress = 100;
  }

  if(!isset($excerpt_words)){
    $excerpt_words = oxpitan_get_option('give_excerpt_limit', 20);
  }
?>

<div class="give-block-2">
  <div class="give-block-content">
    <div class="give-title">
      <h2 class="title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h2>
    </div>

    <div class="give-content">
      <div class="funded">
        <div class="give__meta-top">
          <span class="raised"><?php echo esc_html($income) ?></span>
          <span class="percentage"><?php echo esc_html($progress_label); ?></span>
        </div>
        <div class="give__progress">
          <div class="give__progress-bar" data-progress-max="<?php echo esc_attr($progress)?>%">
          </div>
        </div>
        <div class="give__meta-bottom">
          <span class="goal"><?php echo esc_html__( 'of ', 'oxpitan' ); ?><?php echo esc_html($goal) ?><?php echo esc_html__( ' goal', 'oxpitan' ); ?></span>
          <span class="read-more"><a href="<?php the_permalink() ?>"><?php echo esc_html__( 'Read More', 'oxpitan' ) ?></a></span>
        </div>
      </div>
    </div>
  </div>  
</div>