<?php
  $form_id = get_the_ID();
  $form = new Give_Donate_Form( $form_id );
  $progress_stats = give_goal_progress_stats($form);
  $income = 0;
  $goal = '';

  $goal_option = give_get_meta( $form_id, '_give_goal_option', true );
  if($goal_option == 'disabled' || !$goal_option){
    $goal = 'unlimited';
    $progress = 100;
    $income = isset($progress_stats['actual']) ? $progress_stats['actual'] : 0;
  }

  if($goal == 'unlimited'){
    $progress_label = esc_html__( 'unlimited' , 'oxpitan' );
    $progress = 100;
  }else{
    $progress = isset($progress_stats['progress']) ? $progress_stats['progress'] : 100;
    $progress_label = $progress . '%';
    $income = isset($progress_stats['actual']) ? $progress_stats['actual'] : 0;
    $goal = isset($progress_stats['goal']) ? $progress_stats['goal'] : 0;
    if($progress > 100) $progress = 100;
  }
  
  if(!isset($excerpt_words)){
    $excerpt_words = oxpitan_get_option('give_excerpt_limit', 20);
  }

?>
<div class="give-block-3">
  <div class="give-content">
    <div class="content-inner">  
      <?php if($goal == 'unlimited'){ ?>
        <div class="campaign-information unlimited">
          <div class="campaign-raised"> 
            <span class="c-label"><?php echo esc_html__('Raised', 'oxpitan') ?></span> 
            <span class="raised"><?php echo esc_html($income) ?></span>
          </div>
          <div class="campaign-goal"> 
            <span class="c-label"><?php echo esc_html__('Goal', 'oxpitan') ?></span> 
            <span class="pie-label"><?php echo esc_attr($progress_label)?></span>
          </div>
        </div>
      <?php }else{ ?>
        <div class="campaign-information">
          <div class="campaign-raised"> 
            <span class="c-label"><?php echo esc_html__('Raised', 'oxpitan') ?></span> 
            <span class="raised"><?php echo esc_html($income) ?></span>
          </div>
          <div class="funded">
            <div class="pieChart" data-bar-color="#FED139" data-bar-width="60" data-percent="<?php echo esc_attr($progress)?>%">
              <span class="pie-label"><?php echo esc_attr($progress_label)?></span>
            </div>
          </div>
          <div class="campaign-goal"> 
            <span class="c-label"><?php echo esc_html__('Goal', 'oxpitan') ?></span> 
            <span class="goal"><?php echo esc_html($goal) ?></span>
          </div>
        </div>
      <?php } ?>  
      <div class="campaign-content">
        <h2 class="title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h2>
        <div class="desc"><?php echo oxpitan_limit_words( $excerpt_words, get_the_excerpt(), get_the_content() ); ?></div>
        <div class="action">
          <?php give_get_donation_form( array('title' =>'', 'id' => $form_id, 'display_style' => 'modal', 'continue_button_title' => '', 'float_labels' => 'global', 'show_content' => 'none') ) ?>
        </div>
      </div>
    </div>  
  </div>
</div>